<?php

//ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("cOrdencompra.php");
$oOrdencompra = new cOrdencompra();
require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();
require_once ("../formatos/formato.php");


	$dts= $oOrdencompra->mostrarUno($_POST['ordcom_id']);
	$dt = mysqli_fetch_array($dts);
	$fec	=mostrarFecha($dt['tb_ordencompra_fec']);
	$numdoc	=$dt['tb_ordencompra_numdoc'];
	$pro_doc=$dt['tb_proveedor_doc'];
	$pro_nom=$dt['tb_proveedor_nom'];
	$pro_id=$dt['tb_proveedor_id'];
	$emp_id=$dt['tb_empresa_id'];
	$ordcom_est=$dt['tb_ordencompra_est'];


$dts1=$oOrdencompra->mostrar_ordencompra_detalle($_POST['ordcom_id']);
$num_rows= mysqli_num_rows($dts1);

?>


<style>
	#tabla_ordencompra_detalle td{
		vertical-align: middle;
		padding: 4px 4px !important;
	}
	#tabla_ordencompra_detalle td.editable,#tabla_ordencompra_detalle td.editable *{
		cursor: text !important;
		height: 100%; 
		 border-bottom-color: #ccc;
		border-bottom-style: dashed; 
		border-bottom-width: 0.5px;
	}
	#tabla_ordencompra_detalle td.editando{
		background-color: rgba(18, 180, 243, 0.05);
			outline: 2px solid #35A4F3;
	}
	#tabla_ordencompra_detalle td input{
		height: 100%;
		width: 100%;
		box-sizing: border-box;
		display: inline-block;
		border: none;
		background: transparent;
	}
	#tabla_ordencompra_detalle td input:focus{
		background: transparent;
			height: 100%;
			width: 100%;
			outline: none;
			border: none;
	}
	#tabla_ordencompra_detalle td input[readonly]{
		background: transparent;
	}
</style>
<div class="col-lg-12 col-md-12 col-xs-12 ">				
<div class="table-responsive">   
<table cellspacing="1" id="tabla_ordencompra_detalle" class="table table-bordered table-striped"> 
    <thead>
        <tr >
        <th style="white-space: nowrap;">ARTÍCULO</th>
        <th class="hidden-xs" style="white-space: nowrap;" >MARCA</th>
        <th>CATEGORIA</th>
        <th align="right">CANTIDAD</th>
        <th align="right">PRECIO COSTO</th>
        </tr>
    </thead>
    <tbody>
    <?php
		while($dt1 = mysqli_fetch_array($dts1))
    {
		$can = $dt1['tb_ordencompradetalle_can']*1;
		$valor_uni=$dt1['tb_ordencompradetalle_valuni'];
		
		$igv_uni = $valor_uni *0.18;
		$pre_uni=$valor_uni* 1.18;
			
		$val_tot = $valor_uni * $can;
		$des_tot = $des_uni * $can;
		$igv_tot = $igv_uni * $can;
		$pre_tot = $pre_uni * $can;
		
		
		
	?> 
	  
	  	<tr >
			<td  style="white-space: nowrap; font-size: 9pt; font-weight: bold;"><?php echo $dt1['tb_producto_nom']?></td>
			<td class="" ><?php echo $dt1['tb_marca_nom']?></td>
			<td><?php echo $dt1['tb_categoria_nom']?></td>
			
			<?php if($ordcom_est=="1"){?>
			<td align="right" width="50" class="editable" style="font-size:9pt; font-weight:bold">
				<input type="text" value="<?php echo $can ?>" data-cantidad="<?php echo $can ?>" 
				data-original="<?php echo $can ?>" readonly data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>"
				data-ordcomdet_id ="<?php echo $dt1['tb_ordencompradetalle_id'] ?>"
				data-tipdes="<?php echo $tipdes ?>" data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>" style="text-align: right;">
			</td>
			<?php }else{
			?>	
			<td><?php echo $can ?></td>
			<?php 
			}?>
			<td><?php echo formato_money($dt1['tb_ordencompradetalle_valuni'])?></td>
			<td align="center" nowrap="nowrap">
			<?php if($ordcom_est=="1"){?>
				<span title="Eliminar" data-ordcomdet_id ="<?php echo $dt1['tb_ordencompradetalle_id'] ?>"
				class="btn_eliminar btn btn-danger btn-xs" ><i class="fa fa-trash"></i></span>
			<?php }?>
			</td>
		</tr>
	 
	<?php			
	$total += $pre_tot;
    }
    mysqli_free_result($dts1);
    ?>
  </tbody>
</table>

<input type="hidden" name="numrow_items" id="numrow_items" value="<?php echo $num_rows;?>">
<?php
	if($num_rows=="" or $num_rows==0)echo $num_rows.' Ningún registro';
	if($num_rows==1)echo $num_rows.' registro';
	if($num_rows>=2)echo $num_rows.' registros';
?>
<br>



</div> 


</div> 



<script type="text/javascript">


	$('#tabla_ordencompra_detalle td input').keydown(function(ev) {
		if(ev.keyCode == 13 && !$(this).attr('readonly')) {
			 ev.preventDefault();
			var cat_id = $(this).attr('data-cat_id');
			var mar_id = $(this).attr('data-mar_id');
			var cantidad = $(this).parent().parent().find('input[data-cantidad]').val();
			var ordcomdet_id = $(this).attr('data-ordcomdet_id');
			
			//alert(ordcomdet_id);
			
			agregar_pedidocompra_editar('actualizardetalle',ordcomdet_id,cantidad);
			
			$(this).attr('readonly', 'true');
			$(this).parent().removeClass('editando');
		}
	});

	$('#tabla_ordencompra_detalle td input').parent().click(function(ev) {
		var $input = $(this).find('input');
		var $td = $input.parent().addClass('editando');
		$input.removeAttr('readonly').focus().select();
	});

	$('#tabla_ordencompra_detalle td input').blur(function(event) {
		$(this).val($(this).attr('data-original'));
		$(this).attr('readonly', 'true');
		$(this).parent().removeClass('editando');
	});

	$('#tabla_ordencompra_detalle td input').keydown(function(ev) {
		if(ev.keyCode==27){
			$(this).val($(this).attr('data-original'));
			$(this).attr('readonly', 'true');
			$(this).parent().removeClass('editando');
		}
	});

	 $('.btn_eliminar').click(function(event) {
				var ordcomdet_id = $(this).attr('data-ordcomdet_id');
				if(confirm('¿Seguro de quitar el item?')){
					agregar_pedidocompra_editar('quitardetalle', ordcomdet_id,'');
				}
			});



</script>
